#define prefID_GlobalPrefs            0
#define prefID_LastDataSource         1
#define prefID_GFind_DataSource       2
#define prefID_GFind_sourceID         3

#define formID_Chooser              1000
#define formID_DesignView           1001
#define formID_ListView             1002
#define formID_EditView             1003
#define formID_ListViewEditor       1004
#define formID_DBPrefs              1005
#define formID_AppPrefs         	1006
#define formID_FindDialog           1007
#define formID_ChooserInfoDialog    1008
#define formID_ChooserOptsDialog    1009
#define formID_DuplicateDlg         1010
#define formID_CreateDlg            1011
#define formID_RenameDlg            1012
#define formID_SortEditor           1013
#define formID_NamesEditor          1015
#define formID_PluginListDialog		1016
#define formID_Note		        	1017
#define formID_FieldProperties		1018
#define formID_AppPrefsButtons		1019
#define formID_AppPrefsActions		1020
#define formID_AppPrefsDisplay		1021
#define formID_LinkSelect           1022
#define formID_About 		        1023

#define menuID_ListViewMenu		    1000
#define menuID_EditViewMenu	    	1001
#define menuID_DesignViewMenu		1002
#define menuID_ChooserMenu		    1003
#define menuID_ListViewEditorMenu	1004
#define menuID_SortEditorMenu		1005
#define menuID_NoteMenu			    1006

#define menuitemID_DatabaseDesign     1000
#define menuitemID_About              1001
#define menuitemID_NewRecord          1003
#define menuitemID_GotoTop            1004
#define menuitemID_GotoBottom         1005
#define menuitemID_DatabasePrefs      1006
#define menuitemID_AppPrefs           1007
#define menuitemID_PublishLink        1008
#define menuitemID_RescanDatabases    1009
#define menuitemID_NewDatabase        1010
#define menuitemID_ChooserDisplayOpts 1011
#define menuitemID_Sort               1012
#define menuitemID_Help               1014
#define menuitemID_Security           1015
#define menuitemID_Duplicate		1016
#define menuitemID_Delete		1017
#define menuitemID_Plugins		1018
#define menuitemID_PluginsAbout		1019
#define menuitemID_Find			    1020
#define menuitemID_HanderaRotate	1021
#define menuitemID_Repeat           1022
#define menuitemID_RebuildRecords   1023
#define menuitemID_DeleteAllRecords 1024
#define menuitemID_RebuildDatabase  1025


#define alertID_ConfirmDelete         1000
#define alertID_ConfirmDatabaseDelete 1001
#define alertID_NameConflict          1002
#define alertID_NameBlank             1003
#define alertID_NoFields              1004
#define alertID_RebuildRequired       1005
#define alertID_About                 1006
#define alertID_BadFieldWidth         1007
#define alertID_CannotOpenDB          1008
#define alertID_ValidationFailure     1009
#define alertID_Debug                 1010
#define alertID_MatchNotFound         1011
#define alertID_NoLinkRecord          1012
#define alertID_NoLinkMaster          1013
#define alertID_RomIncompatible       1014
#define alertID_RebuildFailed         1015
#define alertID_DuplicateFailed       1016
#define alertID_NoSupportBelowOS35    1017
#define alertID_MaxNoteSupport        1018
#define alertID_ConfirmRecordSave     1019
#define alertID_LinkGo                1020
#define alertID_NoLinkedDatabase      1021
#define alertID_ScriptSyntaxError     1022
#define alertID_TypeFontSelect        1023
#define alertID_FormTooBig            1024
#define alertID_CreateLinkField       1025

#define stringID_NewDatabase          1000
#define stringID_DatabaseDesign       1001
#define stringID_AllFields            1002
#define stringID_InsertField          1003
#define stringID_DeleteField          1004
#define stringID_InsertFieldLabel     1005
#define stringID_DeleteFieldLabel     1006
#define stringID_New                  1007
#define stringID_Field                1008
#define stringID_Line                 1009
#define stringID_Page                 1010
#define stringID_Alphabetic           1011
#define stringID_Manual               1012
#define stringID_Open                 1013
#define stringID_OpenReadOnly         1014
#define stringID_Info                 1015
#define stringID_Delete               1016
#define stringID_Rename               1017
#define stringID_Duplicate            1018
#define stringID_Exchange             1019
#define stringID_String               1020
#define stringID_Boolean              1021
#define stringID_Integer              1022
#define stringID_Date                 1023
#define stringID_Time                 1024
#define stringID_FldN                 1025
#define stringID_CreateUsing          1026
#define stringID_Working              1027
#define stringID_Edit                 1028
#define stringID_View                 1029
#define stringID_InsertBefore         1030
#define stringID_InsertAfter          1031
#define stringID_Remove               1032
#define stringID_Properties           1033
#define stringID_Sort_Label_D         1034
#define stringID_Sort_Label_CS        1035
#define stringID_OpenUnProtected	1036
#define stringID_SortAscend		    1037
#define stringID_SortDescend		1038
#define stringID_EditListViews		1039
#define stringID_Note		    	1040
#define stringID_ResetFilter		1042
#define stringID_List	    		1043
#define stringID_Link		    	1044
#define stringID_Float                1045
#define stringID_Calculated           1046
#define stringID_FloatTooLongToParse  1047
#define stringID_Rotate               1048
#define stringID_Security             1049
#define stringID_AboutMsg             1050
#define stringID_Linked               1051

#define stringID_Help_Chooser           2000
#define stringID_Help_Chooser_Create    2001
#define stringID_Help_Chooser_Display   2002
#define stringID_Help_Chooser_Rename    2003
#define stringID_Help_Chooser_Duplicate 2004
#define stringID_Help_Chooser_Info      2005
#define stringID_Help_ListView          2006
#define stringID_Help_ListView_Display  2007
#define stringID_Help_ListView_LFind    2008
#define stringID_Help_SortEditor        2009
#define stringID_Help_DesignView        2010
#define stringID_Help_Script            2011

#define wlistID_GridColors16            1000
#define wlistID_GridColors4             1001
#define wlistID_GridColors2             1002

#define ctlID_Chooser_Table           1000
#define ctlID_Chooser_NewButton       1001
#define ctlID_Chooser_ActionList      1002
#define ctlID_Chooser_UpButton        1003
#define ctlID_Chooser_DownButton      1004
#define ctlID_Chooser_CategoryTrigger 1005
#define ctlID_Chooser_CategoryList    1006

#define ctlID_DesignView_Table        1000
#define ctlID_DesignView_DoneButton   1001
#define ctlID_DesignView_CancelButton 1002
#define ctlID_DesignView_UpButton     1003
#define ctlID_DesignView_DownButton   1004
#define ctlID_DesignView_PopupList    1005
#define ctlID_DesignView_InserterList 1006

#define ctlID_FieldSelectDialog_Label        1000
#define ctlID_FieldSelectDialog_Trigger      1001
#define ctlID_FieldSelectDialog_OkayButton   1002
#define ctlID_FieldSelectDialog_CancelButton 1003
#define ctlID_FieldSelectDialog_List         1004

#define ctlID_ListView_Grid             1000
#define ctlID_ListView_GridCheckbox     1001
#define ctlID_ListView_DoneButton       1002
#define ctlID_ListView_NewButton        1003
#define ctlID_ListView_FindButton       1004
#define ctlID_ListView_RepeatButton     1005
#define ctlID_ListView_UpButton         1006
#define ctlID_ListView_DownButton       1007
#define ctlID_ListView_LeftButton       1008
#define ctlID_ListView_RightButton      1009
#define ctlID_ListView_ActionList	1010
#define ctlID_ListView_ViewTrigger	1011
#define ctlID_ListView_ViewList		1012
#define ctlID_ListView_FilterTrigger	1013
#define ctlID_ListView_FilterList	1014

#define ctlID_EditView_Table            1000
#define ctlID_EditView_DoneButton       1001
#define ctlID_EditView_CancelButton     1002
#define ctlID_EditView_ModifyButton	1003
#define ctlID_EditView_DeleteButton	1004
#define ctlID_EditView_DuplicateButton	1005
#define ctlID_EditView_UpButton         1006
#define ctlID_EditView_DownButton       1007
#define ctlID_EditView_List		1008
#define ctlID_EditView_ListTrigger	1009
#define ctlID_EditView_AllFieldsButton	1010
#define ctlID_EditView_DateTimeChoiceList   1011

#define ctlID_ListViewEditor_NameLabel    1000
#define ctlID_ListViewEditor_NameField    1001
#define ctlID_ListViewEditor_Table        1002
#define ctlID_ListViewEditor_DoneButton   1003
#define ctlID_ListViewEditor_CancelButton 1004
#define ctlID_ListViewEditor_AddButton    1005
#define ctlID_ListViewEditor_UpButton     1006
#define ctlID_ListViewEditor_DownButton   1007
#define ctlID_ListViewEditor_PopupList    1008
#define ctlID_ListViewEditor_InserterList 1009
#define ctlID_ListViewEditor_EditBox		1010

#define ctlID_DBPrefs_BackupDB          1000
#define ctlID_DBPrefs_DisableFind       1001
#define ctlID_DBPrefs_OkayButton        1002
#define ctlID_DBPrefs_CancelButton      1003

#define ctlID_AppPrefs_EnableFind       1000
#define ctlID_AppPrefs_OkayButton       1001
#define ctlID_AppPrefs_CancelButton     1002
#define ctlID_AppPrefs_Trigger1         1003
#define ctlID_AppPrefs_List1            1004
#define ctlID_AppPrefs_Trigger2         1005
#define ctlID_AppPrefs_List2            1006
#define ctlID_AppPrefs_Trigger3         1007
#define ctlID_AppPrefs_List3            1008
#define ctlID_AppPrefs_Trigger4         1009
#define ctlID_AppPrefs_List4            1010
#define ctlID_AppPrefs_Trigger5         1011
#define ctlID_AppPrefs_List5            1012
#define ctlID_AppPrefs_Trigger6         1013
#define ctlID_AppPrefs_List6            1014
#define ctlID_AppPrefs_Font		1015
#define ctlID_AppPrefs_PrefButtons	1016
#define ctlID_AppPrefs_PrefActions	1017
#define ctlID_AppPrefs_PrefDisplay	1018
#define ctlID_AppPrefs_RDWRMode		1019
#define ctlID_AppPrefs_FloatDigit  1020
#define ctlID_AppPrefs_ColumnWidth  1021
#define ctlID_AppPrefs_UseFilters   1022
#define ctlID_AppPrefs_ShowHeader    1023
#define ctlID_AppPrefs_ShowSeparator    1024
#define ctlID_AppPrefs_DefaultButton    1025
#define ctlID_AppPrefs_RRAfterEdit      1026

#define ctlID_FindDialog_Field             1000
#define ctlID_FindDialog_CaseSensCheckbox  1001
#define ctlID_FindDialog_WholeWordCheckbox 1002
#define ctlID_FindDialog_FindButton        1003
#define ctlID_FindDialog_CancelButton      1004
#define ctlID_FindDialog_FieldTrigger      1005
#define ctlID_FindDialog_FieldList         1006
#define ctlID_FindDialog_FilterTrigger		1007
#define ctlID_FindDialog_FilterList		1008
#define ctlID_FindDialog_AddCheckBox		1009


#define ctlID_ChooserInfoDialog_CategoryTrigger 1000
#define ctlID_ChooserInfoDialog_CategoryList    1001
#define ctlID_ChooserInfoDialog_SecretCheckbox  1002
#define ctlID_ChooserInfoDialog_OkayButton      1003
#define ctlID_ChooserInfoDialog_CancelButton    1004
#define ctlID_ChooserInfoDialog_TypeField       1005

#define ctlID_ChooserOptsDialog_SortOrderTrigger 1000
#define ctlID_ChooserOptsDialog_SortOrderList    1001
#define ctlID_ChooserOptsDialog_OkayButton       1002
#define ctlID_ChooserOptsDialog_CancelButton     1003

#define ctlID_FieldEditDialog_FieldTrigger       1000
#define ctlID_FieldEditDialog_FieldList          1001
#define ctlID_FieldEditDialog_OkayButton         1002
#define ctlID_FieldEditDialog_CancelButton       1003

#define ctlID_DuplicateDlg_NameField             1000
#define ctlID_DuplicateDlg_DriverTrigger         1001
#define ctlID_DuplicateDlg_DriverList            1002
#define ctlID_DuplicateDlg_ExtentTrigger         1003
#define ctlID_DuplicateDlg_ExtentList            1004
#define ctlID_DuplicateDlg_OkayButton            1005
#define ctlID_DuplicateDlg_CancelButton          1006

#define ctlID_CreateDlg_NameField                1000
#define ctlID_CreateDlg_DriverTrigger            1001
#define ctlID_CreateDlg_DriverList               1002
#define ctlID_CreateDlg_OK                       1003
#define ctlID_CreateDlg_Cancel                   1004

#define ctlID_RenameDlg_NameField                1000
#define ctlID_RenameDlg_OK                       1001
#define ctlID_RenameDlg_Cancel                   1002

#define ctlID_SortEditor_NameLabel               1000
#define ctlID_SortEditor_NameField               1001
#define ctlID_SortEditor_Table                   1002
#define ctlID_SortEditor_DoneButton              1003
#define ctlID_SortEditor_CancelButton            1004
#define ctlID_SortEditor_UpButton                1005
#define ctlID_SortEditor_DownButton              1006
#define ctlID_SortEditor_PopupList               1007
#define ctlID_SortEditor_InserterList            1008

#define ctlID_ListViewOptionsDlg_ViewTrigger     1000
#define ctlID_ListViewOptionsDlg_ViewList        1001
#define ctlID_ListViewOptionsDlg_OK              1002
#define ctlID_ListViewOptionsDlg_Cancel          1003

#define ctlID_NamesEditor_List                   1000
#define ctlID_NamesEditor_DoneButton             1001
#define ctlID_NamesEditor_EditButton             1002
#define ctlID_NamesEditor_NewButton              1003
#define ctlID_NamesEditor_DeleteButton           1004

#define ctlID_PluginListDialog_PluginList        1000
#define ctlID_PluginListDialog_StartButton       1001
#define ctlID_PluginListDialog_CancelButton      1002

#define ctlID_Note_EditField			1000
#define ctlID_Note_ScrollBar			1001
#define ctlID_Note_DoneButton			1002
#define ctlID_Note_QuickTitle   		1003

#define ctlID_FieldProperties_OK			1000
#define ctlID_FieldProperties_Cancel        1001
#define ctlID_FieldProperties_LockBox		1002
#define ctlID_FieldProperties_ItemList		1003
#define ctlID_FieldProperties_NewItemButton	1004
#define ctlID_FieldProperties_DeleteItemButton	1005
#define ctlID_FieldProperties_ItemField		1006
#define ctlID_FieldProperties_DatabasesList	1007
#define ctlID_FieldProperties_FieldsList	1008
#define ctlID_FieldProperties_ScriptField   1009
#define ctlID_FieldProperties_HelpScriptButton 1010
#define ctlID_FieldProperties_KeepLinksBox  1011
#define ctlID_FieldProperties_DefaultValueField 1012
#define ctlID_FieldProperties_IncrementField    1013
#define ctlID_FieldProperties_LinkFieldList 1014

#define ctlID_LinkSelect_Grid               1000
#define ctlID_LinkSelect_GridCheckbox       1001
#define ctlID_LinkSelect_DoneButton         1002
#define ctlID_LinkSelect_UpButton           1003
#define ctlID_LinkSelect_DownButton         1004
#define ctlID_LinkSelect_RightButton        1005
#define ctlID_LinkSelect_LeftButton         1006

#define ctlID_About_OkButton                1000
#define ctlID_About_UpButton                1001
#define ctlID_About_DownButton              1002
#define ctlID_About_Display                 1003
#define ctlID_About_HeaderDisplay           1004
